## gmenuharness 0.1%2B16.04.20151119.3

=== tests/functional/menus/CMakeLists.txt ===

add_library(
    menu-main SHARED
    MenuMain.cpp
)

target_link_libraries(
    menu-main
    ${GMENU_HARNESS}
)

function(add_menu NAME)
    add_executable(
        ${NAME}
        ${NAME}.cpp
    )
    
    target_link_libraries(
        ${NAME}
        menu-main
    )
endfunction()

add_menu(Simple)
add_menu(Deeper)

## gmenuharness 0.1+16.04.20151118

=== CMakeLists.txt ===
project(gmenu-harness C CXX)
cmake_minimum_required(VERSION 2.8.9)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")
find_package(PkgConfig REQUIRED)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 ${COMMON_FLAGS} -fno-strict-aliasing -fvisibility-inlines-hidden")

set(CMAKE_INCLUDE_CURRENT_DIR ON)

# version
set(GMENU_HARNESS gmenuharness)
set(GMENU_HARNESS_SO_VERSION_MAJOR "0")
set(GMENU_HARNESS_SO_VERSION_MINOR "1")
set(GMENU_HARNESS_SO_VERSION_MICRO "0")
set(GMENU_HARNESS_SO_VERSION ${GMENU_HARNESS_SO_VERSION_MAJOR}.${GMENU_HARNESS_SO_VERSION_MINOR})
set(GMENU_HARNESS_HDR_INSTALL_BASE_DIR include/${GMENU_HARNESS}-${GMENU_HARNESS_SO_VERSION})
set(GMENU_HARNESS_HDR_INSTALL_DIR ${GMENU_HARNESS_HDR_INSTALL_BASE_DIR}/unity/${GMENU_HARNESS})

include_directories(include)

set(GLIB_REQUIRED_VERSION 2.26)

pkg_check_modules(
  GLIB REQUIRED
  glib-2.0>=${GLIB_REQUIRED_VERSION}
  gio-2.0>=${GLIB_REQUIRED_VERSION}
)
include_directories(${GLIB_INCLUDE_DIRS})

pkg_check_modules(
  UNITY_API REQUIRED
  libunity-api
)
include_directories(${UNITY_API_INCLUDE_DIRS})

add_subdirectory(src)
add_subdirectory(include)

## gmenuharness 0.1+16.04.20151119.3

=== include/CMakeLists.txt ===
add_subdirectory(unity)

=== src/CMakeLists.txt ===
pkg_check_modules(UNITY_API libunity-api>=0.1.3 REQUIRED)
include_directories(${UNITY_API_INCLUDE_DIRS})

add_library(
    ${GMENU_HARNESS} SHARED
    MatchResult.cpp
    MatchUtils.cpp
    MenuItemMatcher.cpp
    MenuMatcher.cpp
)

set_target_properties(${GMENU_HARNESS} PROPERTIES
    VERSION "${GMENU_HARNESS_SO_VERSION_MAJOR}.${GMENU_HARNESS_SO_VERSION_MINOR}.${GMENU_HARNESS_SO_VERSION_MICRO}"
    SOVERSION ${GMENU_HARNESS_SO_VERSION}
)


set(symbol_map "${CMAKE_SOURCE_DIR}/src/libgmenuharness.map")
set_target_properties(${GMENU_HARNESS} PROPERTIES
                      LINK_FLAGS "${ldflags} -Wl,--version-script,${symbol_map} ")
set_target_properties(${GMENU_HARNESS} PROPERTIES LINK_DEPENDS ${symbol_map})

target_link_libraries(
    gmenuharness
    ${GLIB_LDFLAGS}
)

install(
  TARGETS ${GMENU_HARNESS}
  LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}
)

# Set up package config.
configure_file(lib${GMENU_HARNESS}.pc.in lib${GMENU_HARNESS}.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/lib${GMENU_HARNESS}.pc DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== tests/CMakeLists.txt ===

enable_testing()
ADD_CUSTOM_TARGET(
        check
        ${CMAKE_CTEST_COMMAND} --force-new-ctest-process --output-on-failure
)

find_package(GMock REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(Qt5DBus REQUIRED)

pkg_check_modules(
    TEST_DEPENDENCIES
    libqtdbustest-1>=0.2 REQUIRED
)

include_directories(
    ${Qt5Core_INCLUDE_DIRS}
    ${Qt5DBus_INCLUDE_DIRS}
    ${TEST_DEPENDENCIES_INCLUDE_DIRS}
    "${CMAKE_SOURCE_DIR}/include"
) 

add_subdirectory(functional)
add_subdirectory(utils)

add_definitions(
    -DMENU_DIR="${CMAKE_CURRENT_BINARY_DIR}/functional/menus"
)

add_executable(
    tests
    functional/FunctionalTests.cpp
    unit/TestMatchResult.cpp
)

target_link_libraries(
    tests
    test-main
    ${GMENU_HARNESS}
    ${TEST_DEPENDENCIES_LDFLAGS}
    Qt5::DBus
)

add_test(
    tests
    tests
)

## gmenuharness 0.1.1+16.10.20160610.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,3 +36,4 @@
 
 add_subdirectory(src)
 add_subdirectory(include)
+add_subdirectory(tests)

## gmenuharness 0.1.1+17.04.20161109.1

=== unity/CMakeLists.txt ===
add_subdirectory(gmenuharness)

## gmenuharness 0.1.2%2B17.04.20161202

=== CMakeLists.txt ===
pkg_check_modules(UNITY_API libunity-api>=0.1.3 REQUIRED)
include_directories(${UNITY_API_INCLUDE_DIRS})

add_library(
    ${GMENU_HARNESS} SHARED
    MatchResult.cpp
    MatchUtils.cpp
    MenuItemMatcher.cpp
    MenuMatcher.cpp
)

set_target_properties(${GMENU_HARNESS} PROPERTIES
    VERSION "${GMENU_HARNESS_SO_VERSION_MAJOR}.${GMENU_HARNESS_SO_VERSION_MINOR}.${GMENU_HARNESS_SO_VERSION_MICRO}"
    SOVERSION ${GMENU_HARNESS_SO_VERSION}
)


set(symbol_map "${CMAKE_SOURCE_DIR}/src/libgmenuharness.map")
set_target_properties(${GMENU_HARNESS} PROPERTIES
                      LINK_FLAGS "${ldflags} -Wl,--version-script,${symbol_map} ")
set_target_properties(${GMENU_HARNESS} PROPERTIES LINK_DEPENDS ${symbol_map})

target_link_libraries(
    gmenuharness
    ${GLIB_LDFLAGS}
)

install(
  TARGETS ${GMENU_HARNESS}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

# Set up package config.
configure_file(lib${GMENU_HARNESS}.pc.in lib${GMENU_HARNESS}.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/lib${GMENU_HARNESS}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

## gmenuharness 0.1.2+17.04.20161202

=== CMakeLists.txt ===
project(gmenu-harness C CXX)
cmake_minimum_required(VERSION 2.8.9)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")
find_package(PkgConfig REQUIRED)
include(GNUInstallDirs)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 ${COMMON_FLAGS} -fno-strict-aliasing -fvisibility-inlines-hidden")

set(CMAKE_INCLUDE_CURRENT_DIR ON)

# version
set(GMENU_HARNESS gmenuharness)
set(GMENU_HARNESS_SO_VERSION_MAJOR "0")
set(GMENU_HARNESS_SO_VERSION_MINOR "1")
set(GMENU_HARNESS_SO_VERSION_MICRO "0")
set(GMENU_HARNESS_SO_VERSION ${GMENU_HARNESS_SO_VERSION_MAJOR}.${GMENU_HARNESS_SO_VERSION_MINOR})
set(GMENU_HARNESS_HDR_INSTALL_BASE_DIR ${CMAKE_INSTALL_FULL_INCLUDEDIR}/${GMENU_HARNESS}-${GMENU_HARNESS_SO_VERSION})
set(GMENU_HARNESS_HDR_INSTALL_DIR ${GMENU_HARNESS_HDR_INSTALL_BASE_DIR}/unity/${GMENU_HARNESS})

include_directories(include)

set(GLIB_REQUIRED_VERSION 2.26)

pkg_check_modules(
  GLIB REQUIRED
  glib-2.0>=${GLIB_REQUIRED_VERSION}
  gio-2.0>=${GLIB_REQUIRED_VERSION}
)
include_directories(${GLIB_INCLUDE_DIRS})

pkg_check_modules(
  UNITY_API REQUIRED
  libunity-api
)
include_directories(${UNITY_API_INCLUDE_DIRS})

add_subdirectory(src)
add_subdirectory(include)
add_subdirectory(tests)

=== functional/CMakeLists.txt ===

add_subdirectory(menus)

=== utils/CMakeLists.txt ===

add_library(
    test-main STATIC
    TestMain.cpp
)

target_link_libraries(
    test-main
    Qt5::Core
    ${GTEST_LIBRARIES}
)

## gmenuharness 0.1.4

=== CMakeLists.txt ===
project(gmenu-harness C CXX)
cmake_minimum_required(VERSION 2.8.9)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")
find_package(PkgConfig REQUIRED)
include(GNUInstallDirs)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 ${COMMON_FLAGS} -fno-strict-aliasing -fvisibility-inlines-hidden -Wall -pedantic -Wextra")

option(Werror "Treat warnings as errors" ON)
option(enable_tests "Build tests" ON)

if(Werror)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

# version
set(GMENU_HARNESS gmenuharness)
set(GMENU_HARNESS_SO_VERSION_MAJOR "0")
set(GMENU_HARNESS_SO_VERSION_MINOR "1")
set(GMENU_HARNESS_SO_VERSION_MICRO "4")
set(GMENU_HARNESS_SO_VERSION ${GMENU_HARNESS_SO_VERSION_MAJOR}.${GMENU_HARNESS_SO_VERSION_MINOR})
set(GMENU_HARNESS_HDR_INSTALL_BASE_DIR ${CMAKE_INSTALL_FULL_INCLUDEDIR}/${GMENU_HARNESS}-${GMENU_HARNESS_SO_VERSION})
set(GMENU_HARNESS_HDR_INSTALL_DIR ${GMENU_HARNESS_HDR_INSTALL_BASE_DIR}/lomiri/${GMENU_HARNESS})

include_directories(include)

set(GLIB_REQUIRED_VERSION 2.26)

pkg_check_modules(
  GLIB REQUIRED
  glib-2.0>=${GLIB_REQUIRED_VERSION}
  gio-2.0>=${GLIB_REQUIRED_VERSION}
)
include_directories(${GLIB_INCLUDE_DIRS})

pkg_check_modules(
  LOMIRI_API REQUIRED
  liblomiri-api
)
include_directories(${LOMIRI_API_INCLUDE_DIRS})

add_subdirectory(src)
add_subdirectory(include)

# testing
if(${enable_tests})
  enable_testing()
  add_subdirectory(tests)
endif()

=== include/CMakeLists.txt ===
add_subdirectory(lomiri)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-pkg_check_modules(UNITY_API libunity-api>=0.1.3 REQUIRED)
-include_directories(${UNITY_API_INCLUDE_DIRS})
+pkg_check_modules(LOMIRI_API liblomiri-api>=0.1.1 REQUIRED)
+include_directories(${LOMIRI_API_INCLUDE_DIRS})
 
 add_library(
     ${GMENU_HARNESS} SHARED
@@ -27,9 +27,9 @@
 
 install(
   TARGETS ${GMENU_HARNESS}
-  LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}
+  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
 )
 
 # Set up package config.
 configure_file(lib${GMENU_HARNESS}.pc.in lib${GMENU_HARNESS}.pc @ONLY)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/lib${GMENU_HARNESS}.pc DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/lib${GMENU_HARNESS}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,3 @@
-
-enable_testing()
-ADD_CUSTOM_TARGET(
-        check
-        ${CMAKE_CTEST_COMMAND} --force-new-ctest-process --output-on-failure
-)
-
 find_package(GMock REQUIRED)
 find_package(Qt5Core REQUIRED)
 find_package(Qt5DBus REQUIRED)

=== include/lomiri/gmenuharness/CMakeLists.txt ===
install(FILES
    MatchResult.h
    MatchUtils.h
    MenuItemMatcher.h
    MenuMatcher.h
    DESTINATION ${GMENU_HARNESS_HDR_INSTALL_DIR})

=== debian/changelog ===
gmenuharness (0.1.4-5ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:01:18 +0000

gmenuharness (0.1.4-5ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:35:10 +0000

gmenuharness (0.1.4-5ubuntu1) lunar; urgency=medium

  * Mark new symbol optional, it's a C++ template.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 29 Mar 2023 06:46:06 +0000

gmenuharness (0.1.4-5) unstable; urgency=medium

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml
  * Add missing symbol

  [ Mike Gabriel ]
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 14:28:37 +0100

gmenuharness (0.1.4-4) unstable; urgency=medium

  * debian/patches:
    + Add 0001_rename-type-attribute.patch. Switch from x-canonical-type to
      x-ayatana-type as type attribute.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 19 Nov 2022 00:17:41 +0100

gmenuharness (0.1.4-3) unstable; urgency=medium

  * debian/:
    + Update upstream Git repo URL.
  * debian/rules:
    + Switch to DPKG_GENSYMBOLS_CHECK_LEVEL=1. (Closes: #1012939).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Jul 2022 16:19:12 +0200

gmenuharness (0.1.4-2) unstable; urgency=medium

  * Re-upload as is to unstable and source-only.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 08 Nov 2021 17:14:09 +0100

gmenuharness (0.1.4-1) experimental; urgency=medium

  * Initial upload to Debian. (Closes: #989947).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 16 Jun 2021 15:05:52 +0200

=== debian/control ===
Source: gmenuharness
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 0.4),
               dbus,
               debhelper-compat (= 13),
               google-mock (>= 1.6.0+svn437),
               libgtest-dev,
               qtbase5-dev,
               libglib2.0-dev,
               libqtdbustest1-dev (>= 0.2),
               liblomiri-api-dev,
               lsb-release,
               pkg-config,
               pkg-kde-tools,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/gmenuharness
Vcs-Git: https://salsa.debian.org/ubports-team/gmenuharness.git
Vcs-Browser: https://salsa.debian.org/ubports-team/gmenuharness/

Package: libgmenuharness0.1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: GMenu harness library
 Library containing GMenu harness. This library is useful for testing
 GMenuModel structures.
 .
 This package contains the gmenuharness shared library.

Package: libgmenuharness-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libgmenuharness0.1 (= ${binary:Version}),
         ${misc:Depends},
Description: GMenu harness library (development files)
 Library containing GMenu harness. This library is useful for testing
 GMenuModel structures.
 .
 This package contains the gmenuharness header files for development.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export QT_SELECT := qt5
export DPKG_GENSYMBOLS_CHECK_LEVEL=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/gmenuharness/tags .*/gmenuharness-(\d\S+)\.tar\.gz
